
#property copyright "00 - 00mql4@gmail.com"
#property link      "http://www.mql4.com/"

#property indicator_separate_window
#property indicator_minimum -1.0
#property indicator_maximum 1.0
#property indicator_buffers 6
#property indicator_color1 DodgerBlue
#property indicator_color2 DodgerBlue
#property indicator_color3 Crimson
#property indicator_color4 Crimson
#property indicator_color5 Green
#property indicator_color6 Red

extern string sIndRCI = "00-RCI_v101";
extern int nPeriodFast = 9;
extern int nPeriodSlow = 25;
extern int appliedPrice = 0;
extern int nMaxBar = 0;
extern double levelEntry = 0.7;
extern double levelExit = 0.6;
double Buffer116[];
double Buffer120[];
double Buffer124[];
double Buffer128[];
double Buffer132[];
double Buffer136[];
string Usedindicator = "00-RCICross_v101";
int ArrowCode148 = 233;
int ArrowCode152 = 73;
int ArrowCode156 = 234;
int ArrowCode160 = 73;

void init() {
   Usedindicator = Usedindicator + "(" + nPeriodFast + "," + nPeriodSlow + ")";
   IndicatorShortName(Usedindicator);
   SetIndexBuffer(0, Buffer116);
   SetIndexBuffer(1, Buffer120);
   SetIndexBuffer(2, Buffer124);
   SetIndexBuffer(3, Buffer128);
   SetIndexBuffer(4, Buffer132);
   SetIndexBuffer(5, Buffer136);
   SetIndexLabel(0, "Signal, long entry");
   SetIndexLabel(1, "Signal, long exit");
   SetIndexLabel(2, "Signal, short entry");
   SetIndexLabel(3, "Signal, short exit");
   SetIndexLabel(4, "RCI, fast");
   SetIndexLabel(5, "RCI, slow");
   SetIndexStyle(0, DRAW_ARROW);
   SetIndexStyle(1, DRAW_ARROW);
   SetIndexStyle(2, DRAW_ARROW);
   SetIndexStyle(3, DRAW_ARROW);
   SetIndexStyle(4, DRAW_LINE);
   SetIndexStyle(5, DRAW_LINE);
   SetIndexArrow(0, ArrowCode148);
   SetIndexArrow(1, ArrowCode152);
   SetIndexArrow(2, ArrowCode156);
   SetIndexArrow(3, ArrowCode160);
   SetIndexDrawBegin(0, nPeriodSlow);
   SetIndexDrawBegin(1, nPeriodSlow);
   SetIndexDrawBegin(2, nPeriodSlow);
   SetIndexDrawBegin(3, nPeriodSlow);
   SetIndexDrawBegin(4, nPeriodSlow);
   SetIndexDrawBegin(5, nPeriodSlow);
   SetLevelValue(0, levelEntry);
   SetLevelValue(1, -levelEntry);
   SetLevelValue(2, levelExit);
   SetLevelValue(3, -levelExit);
}
	   	    		  	 	  	    	  								        	   	       	  	 	  	  					 	   	 				  						 	   	 				  				 	   	 				  		 		 	   	   				  	  	 	
void start() {
   double Lstd_12;
   double Lstd_20;
   double Lstd_28;
   double Lstd_36;
   int Lsti_4 = IndicatorCounted();
   if (Lsti_4 > 0) Lsti_4--;
   int Lsti_0 = Bars - Lsti_4;
   if (nMaxBar > 0) Lsti_0 = MathMin(Lsti_0, nMaxBar);
   for (int Lsti_8 = Lsti_0 - 1; Lsti_8 >= 0; Lsti_8--) {
      Buffer132[Lsti_8] = iCustom(NULL, 0, sIndRCI, nPeriodFast, appliedPrice, nMaxBar, 0, Lsti_8);
      Buffer136[Lsti_8] = iCustom(NULL, 0, sIndRCI, nPeriodSlow, appliedPrice, nMaxBar, 0, Lsti_8);
   }
   for (Lsti_8 = Lsti_0 - 1; Lsti_8 >= 0; Lsti_8--) {
      Lstd_12 = Buffer132[Lsti_8 + 2];
      Lstd_20 = Buffer132[Lsti_8 + 1];
      Lstd_28 = Buffer136[Lsti_8 + 2];
      Lstd_36 = Buffer136[Lsti_8 + 1];
      Buffer116[Lsti_8] = EMPTY_VALUE;
      Buffer120[Lsti_8] = EMPTY_VALUE;
      Buffer124[Lsti_8] = EMPTY_VALUE;
      Buffer128[Lsti_8] = EMPTY_VALUE;
      if (Lstd_12 < Lstd_28 && Lstd_20 >= Lstd_36) {
         if (Lstd_20 <= (-levelEntry) || Lstd_36 <= (-levelEntry)) Buffer116[Lsti_8] = (-levelEntry) - 0.1;
         if (Lstd_20 <= (-levelExit) || Lstd_36 <= (-levelExit)) Buffer128[Lsti_8] = -levelExit;
      }
      if (Lstd_12 > Lstd_28 && Lstd_20 <= Lstd_36) {
         if (Lstd_20 >= levelEntry || Lstd_36 >= levelEntry) Buffer124[Lsti_8] = levelEntry + 0.1;
         if (Lstd_20 >= levelExit || Lstd_36 >= levelExit) Buffer120[Lsti_8] = levelExit;
      }
   }
}